# panko-source-github-user

panko source plugin for gathering definition files for all repositories from a
GitHub user.

## Installation

```sh
yarn global add panko-source-github-user
```

## Usage

Add a source entry to `.pankorc` with type `github-user`:

```json
{
  "sources": {
    "<source-name>": {
      "type": "github-user",
      "handle": "<my-github-username>",
      "token": "<github-access-token>"
    }
  }
}
```

## Options

Key | Default | Description
--- | --- | ---
`handle` | **required** | GitHub handle/username
`token` | **required** | GitHub access token ([more info][personal-access-tokens])
`branch` | `master` | Git branch to access 
`file` | `profile.json` | Name of the profile file 
`ttl` | `1209600000` (14 days) | Time in milliseconds before suggesting an update 

[personal-access-tokens]: https://help.github.com/articles/creating-a-personal-access-token-for-the-command-line/
